Update hub configuration
Updates an existing hub configuration by its unique identifier. Returns the updated hub configuration.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
id*string
The unique identifier of the hub configuration to update.
Format
uuidRequest Body
application/json
The updated hub configuration data.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/hub-config/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "fromEmail": "string", "fromName": "string" }'{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fromEmail": "string", "fromName": "string", "customEmailFooter": "string", "storageUsed": 0, "hideSubsciptionLink": true, "hideEmbeddedImageLinks": true }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}